some scopes need access to android libraries

Bug #1376430 reported by Jamie Strandboge on 2014-10-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apparmor-easyprof-ubuntu (Ubuntu)
Critical
Jamie Strandboge
apparmor-easyprof-ubuntu (Ubuntu RTM)
Critical
Jamie Strandboge

Bug Description

Oct 1 18:13:04 ubuntu-phablet kernel: [ 130.672099] (1)[6551:scoperunner]type=1400 audit(1412187184.960:123): apparmor="DENIED" operation="open" profile="<app id>" name="/android/system/lib/libGLESv2.so" pid=6551 comm="scoperunner" requested_mask="r" denied_mask="r" fsuid=32011 ouid=0

Changed in apparmor-easyprof-ubuntu (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
importance: Undecided → Critical
status: New → In Progress
Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Jamie Strandboge (jdstrand)
tags: added: application-confiement rtm14 touch-2014-10-09
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor-easyprof-ubuntu - 1.2.32

---------------
apparmor-easyprof-ubuntu (1.2.32) utopic; urgency=medium

  * ubuntu/1.2/ubuntu-scope-network, pending/ubuntu-scope-local-content:
    allow access to android libraries (LP: #1376430)
  * ubuntu/ubuntu-{sdk,webapp}: allow read access for thumbnailer icons
    (LP: #1376436)
 -- Jamie Strandboge <email address hidden> Wed, 01 Oct 2014 15:13:35 -0500

Changed in apparmor-easyprof-ubuntu (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor-easyprof-ubuntu - 1.2.34

---------------
apparmor-easyprof-ubuntu (1.2.34) utopic; urgency=medium

  * ubuntu/1.[12]/ubuntu-{sdk,webapp}: re-add still needed rule for
    /{,run/}shm/shm/WK2SharedMemory.[0-9]*. This needs to stay until qtwebkit
    is removed from the image (LP: #1377648)
 -- Jamie Strandboge <email address hidden> Mon, 06 Oct 2014 07:10:09 -0500

Changed in apparmor-easyprof-ubuntu (Ubuntu RTM):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers